[arch-commits] Commit in lesstifextensions/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 10 00:28:52 EDT 2009


    Date: Friday, April 10, 2009 @ 00:28:52
  Author: eric
Revision: 34546

upgpkg: lesstifextensions 13.0.13-1
    Upstream update, Added arch tag, Added license, Added url, Added libxpm depends, Added libxaw makedepends, FHS man pages and docs

Modified:
  lesstifextensions/trunk/PKGBUILD

----------+
 PKGBUILD |   27 ++++++++++++++++-----------
 1 file changed, 16 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-10 03:20:19 UTC (rev 34545)
+++ PKGBUILD	2009-04-10 04:28:52 UTC (rev 34546)
@@ -1,19 +1,24 @@
 # $Id$
 # Maintainer: dorphell <dorphell at archlinux.org>
-# Committer: Judd Vinet <jvinet at zeroflux.org>
+# Contributor: Judd Vinet <jvinet at zeroflux.org>
+
 pkgname=lesstifextensions
-pkgver=9.0.9
-pkgrel=3
+pkgver=13.0.13
+pkgrel=1
 pkgdesc="Extensions for lesstif"
-depends=('lesstif')
-source=(ftp://ftp.hungry.com/pub/hungry/lesstif/srcdist/LessTifExtensions-$pkgver.tar.gz)
-md5sums=('865194144aa96c3a077d7807aab8f6aa')
+arch=('i686' 'x86_64')
+url="http://sourceforge.net/projects/xlt/"
+license=('GPL' 'LGPL')
+depends=('lesstif' 'libxpm')
+makedepends=('libxaw')
+options=('!libtool')
+source=(http://downloads.sourceforge.net/sourceforge/xlt/Xlt-$pkgver.tar.gz)
+md5sums=('46b6259c7637d6e9b87520eb91b6ea51')
 
 build() {
-  cd $startdir/src/LessTifExtensions-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/Xlt-$pkgver
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  rm -rf $startdir/pkg/usr/LessTif
-  find $startdir/pkg -name '*.la' -exec rm {} \;
+  make DESTDIR=$pkgdir mandir=/usr/share/man htmldir=/usr/share/doc/Xlt/html install || return 1
+  rm $pkgdir/usr/share/aclocal/ac_find_motif.m4
 }



More information about the arch-commits mailing list